<template>
  <span class="Status" v-if="pieceInfo.name === defaultPieceName">
    It is Player {{ isPlayerOneTurn ? "1" : "2" }}'s turn
  </span>
  <ul class="Status" v-else>
    <li>Name: {{ pieceInfo.name }}</li>
    <li>Health: {{ pieceInfo.currentHealth }}</li>
    <li>Movement: {{ pieceInfo.movement }}</li>
    <li>Damage: {{ pieceInfo.damage }}</li>
    <li>Range: {{ pieceInfo.range }}</li>
    <li>Damage Type: {{ pieceInfo.damageType }}</li>
    <li>Physical Defence: {{ pieceInfo.physicalDefence }}</li>
    <li>Magical Defence: {{ pieceInfo.magicalDefence }}</li>
  </ul>
</template>

<script lang="ts">
import Vue from "vue";
import { Component, Prop } from "vue-property-decorator";
import { PieceInfo, PieceName } from "../models/pieceModels";

@Component
export default class Status extends Vue {
  @Prop() readonly pieceInfo!: PieceInfo;
  @Prop() readonly isPlayerOneTurn!: boolean;

  private defaultPieceName: PieceName = PieceName.PIECE;
}
</script>
